Subject: Re: New underflow of regulator enable count warnings in v5.0-rc1

From: Tony Lindgren <[email-masked]>
Date: Tue, 29 Jan 2019 09:27:06 -0800

* Sebastian Reichel <[email-masked]> [190129 17:18]:
> Hi,
> 
> On Tue, Jan 29, 2019 at 08:48:13AM -0800, Tony Lindgren wrote:
> > Looks like commit 5451781dadf8 ("regulator: core: Only count load for
> > enabled consumers") started showing new warnings with v5.0-rc cycle:
> > 
> > regulator-dummy: Underflow of regulator enable count
> > 
> > I'm seeing this at least with my pwm-vibra test case:
> > 
> > # rumble-test /dev/input/by-path/platform-vibrator-event 0xffff
> > pwm-vibrator vibrator: vibrator supply vcc not found, using dummy regulator
> > input: pwm-vibrator as /devices/platform/vibrator/input/input4
> > regulator-dummy: Underflow of regulator enable count
> > Upload rumble effect... id=0
> > regulator-dummy: Underflow of regulator enable count
> > 
> > Are these bogus warnings for dummy regulator or do we have
> > real unpaired regulator calls or somewhere?
> 
> There are real unpaired regulator calls in the pwm-vibrator driver,
> that I did not notice when I wrote the driver :(. Good news is, that
> Paweł Chmiel and Jonathan Bakker are already working on fixing my mess:
> 
> https://lore.kernel.org/patchwork/patch/1032759/

OK good to hear.

> On Droid 4 it's a dummy regulator, since I did not know what
> regulator is being used to supply the vibrator. Probably directly
> from the battery.

Yeah no idea.. Hmm maybe it's actually using the VVIB on the pmic?

Regards,

Tony

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel